using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CharacterRandomizer : MonoBehaviour
{
    [SerializeField] private List<Character> characters;

    public Character GetCharacter()
    {
        if (characters.Count <= 0)
        {
            Debug.LogError("Empty character list, this is bad!");
            return new Character();
        }
        int rand = Random.Range(0, characters.Count);

        Character character = characters[rand];
        characters.RemoveAt(rand);
        
        return character;
    }


    [System.Serializable]
    public struct Character
    {
        public Sprite 
            HeadDown,
            HeadUp,
            HeadLeft,
            HeadRight;
    }
}
